import { storiesOf } from '@storybook/angular';

import {
  arrangeActAssert,
  avoidTheAlls,
  beDescribetive,
  dontRepeatYourself,
  speakHuman,
  thisIsHowWeDoIt,
  writeMinimumPassableTests,
  writeUnitTests
} from './jasmine';

export const storiesJasmine = storiesOf('JASMINE', module)
  .add('SPEAK HUMAN', () => ({ template: speakHuman }))
  .add('WRITE UNIT TESTS', () => ({ template: writeUnitTests }))
  .add('ARRANGE-ACT-ASSERT', () => ({ template: arrangeActAssert }))
  .add("DON'T REPEAT YOURSELR", () => ({ template: dontRepeatYourself }))
  .add('THIS IS HOW WE DO IT', () => ({ template: thisIsHowWeDoIt }))
  .add('AVOID THE ALLS', () => ({ template: avoidTheAlls }))
  .add('BE DESCRIBETIVE', () => ({ template: beDescribetive }))
  .add('WRITE MINIMUM PASSABLE TESTS', () => ({ template: writeMinimumPassableTests }));
